Bug 13756 - xalan.jar sets property org.xml.sax.driver to wrong class
Summary: xalan.jar sets property org.xml.sax.driver to wrong class
Status: RESOLVED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: 1.0
Hardware: Other other
: P3 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-18 06:50 UTC by Jon Pierce
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Pierce 2002-10-18 06:50:29 UTC
The file org/apache/xalan/res/XSLTInfo.properties in xalan.jar sets the property
org.xml.sax.driver to org.apache.crimson.parser.XMLReaderImpl instead of
org.apache.xerces.parsers.SAXParser, which is problematic since
org.apache.crimson.parser.XMLReaderImpl is not included in any of the jars
distributed with JSTL.  (The problem manifests itself when invoking
xml/Filter.jsp, xml/Transform.jsp, and xml/TransformWithInclusion.jsp in the
example web app.)  Changing the setting back to
org.apache.xerces.parsers.SAXParser corrects the problem.
Comment 1 Jon Pierce 2002-10-29 17:49:02 UTC
Any feedback on this?
Comment 2 Shawn Bayern 2002-10-29 18:10:48 UTC
Yes - thanks for the report; the issue you note has been confirmed.  The 
problem can't be fixed in the running CVS archive; it affects distributions 
only.  We've noted the problem and will address it in the next distribution of 
the Standard Taglib (1.0.3).

Thanks again,

Shawn
Comment 3 Shawn Bayern 2003-02-26 21:08:48 UTC
Fixed in release 1.0.3.  Thanks again for the report.